//
//  iPDCManager.h
//  iPDCLib
//
//  Created by jije jijesoft on 2017/12/25.
//  Copyright © 2017年 jijesoft. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CommDefine.h"

//valid property key
#define Prop_RushMode @"enableRushMode"
//default value is "false",valid value is "false" and "true"
#define Prop_UploadUrl @"uploadUrl"
//NO default value
#define Prop_CheckInterval @"checkInterval"
//default value is 60
#define Prop_FailedThreshold @"failedThreshold"
//default value is 3
#define Prop_QuickChip @"enableQuickChip"
//default value is "true",valid value is "false" and "true"
#define Prop_PinpadIP @"pinpadIP"
//NO default value
#define Prop_PinpadPort @"pinpadPort"
//default value is 12000
#define Prop_PinpadInterface @"pinpadInterface"
//NO default value,valid value is "BT" and ETHERNET"

@protocol IPDCManagerNotify <PinPadNotify>
-(void) TransDataReceived:(NSData*)data;
-(void) ActionDataReceived:(NSData*)data;
@end

@interface iPDCManager : NSObject
{
@private
    id<IPDCManagerNotify> m_delegate;
}
-(id) initWithDelegate:(id<IPDCManagerNotify>)delegate;
-(void) postTransactionToUrl:(NSString*) url request:(NSString*) request withTimeout:(int) timeout;
-(void) setProperties:(NSDictionary*) properties;
-(void) performAction:(NSString*) request;

@end
